

forval i = 1(1)17 {
	*Firm Type
	gen employer_type_w`i' = employer_type_w18
	label var employer_type_w`i' employer_type_lbl
	
	*Firm Industry
	gen employer_industry_w`i' = employer_industry_w18
	label var employer_industry_w`i' employer_industry_lbl
	
	*Decision Making Freedom
	gen freedom_decisions_w`i' = freedom_decisions_w18
	label values freedom_decisions_w`i' freedom_decisions_lbl
	
	*People Working in Organization
	gen people_working_org_w`i' = people_working_org_w18
	
	*People Working in Establishment
	gen people_working_est_w`i' = people_working_est_w18
}


*Info Sources
label define info_source_pi_lbl 0 "N/A" 1 "Not at all important" 2 "Not very important" 3 "Somewhat important" 4 "Very Important" 5 "Extremely Important"
forval j = 1(1)9 {
	label values info_source_pi_`j'_w18 info_source_pi_lbl
	forval i = 1(1)17 {
	gen info_source_pi_`j'_w`i' = info_source_pi_`j'_w18
	label values info_source_pi_`j'_w`i' info_source_pi_lbl
	}
}

forval j = 1(1)5 {
	forval i = 1(1)17 {
	gen info_source_pi_spec_`j'_w`i' = info_source_pi_spec_`j'_w18
	}
}

*Managers: Forecast by filling in missing waves with past waves
forval j = 1(1)9 {
	forval i = 5(1)12 {
		local in1 = `i' - 1
		local man_dut_cur = managerial_duties_`j'_w`i' 
		replace managerial_duties_`j'_w`i' = managerial_duties_`j'_w`in1' if managerial_duties_`j'_w`i' >=. & managerial_duties_`j'_w`in1' <.
	}
}

*Managers: Fill in first few waves before question asked
forval j = 1(1)9 {
	gen managerial_duties_`j'_w1 = managerial_duties_`j'_w4 
	
	forval i = 5(1)12 {
	local in1 = `i' - 1
	local man_dut_cur = managerial_duties_`j'_w1 
	replace managerial_duties_`j'_w1 = managerial_duties_`j'_w`i' if managerial_duties_`j'_w1 >=.
	}
	
	gen managerial_duties_`j'_w2 = managerial_duties_`j'_w1
	gen managerial_duties_`j'_w3 = managerial_duties_`j'_w1

}

forval j = 1(1)9 {
	forval i = 1(1)12 {
	label var managerial_duties_`j'_w`i' yn
	}
}
