clear
graph close

*Include filepaths, macros
include macros.do

*Load Cleaned Variables
use cleanedData_new, clear


collapse (mean) pi_12m_pt_non_manager_hist pi_12m_pt_manager_hist ///
				epi_12m_non_manager_hist  epi_12m_manager_hist ///
				unrate_cur_pt_non_manager_hist unrate_cur_pt_manager_hist ///
				eunrate_12m_non_manager_hist eunrate_12m_manager_hist ///
		 (sd) sd_pi_12m_pt_non_manager = pi_12m_pt_non_manager_hist ///
				sd_pi_12m_pt_manager = pi_12m_pt_manager_hist ///
				sd_epi_12m_non_manager = epi_12m_non_manager_hist ///
				sd_epi_12m_manager = epi_12m_manager_hist ///
				sd_unrate_cur_pt_non_manager = unrate_cur_pt_non_manager_hist ///
				sd_unrate_cur_pt_manager = unrate_cur_pt_manager_hist ///
				sd_eunrate_12m_non_manager = eunrate_12m_non_manager_hist ///
				sd_eunrate_12m_manager = eunrate_12m_manager_hist ///
				///
				[aw=projection_factor], ///
				by(wave survey_date)
	
gen QQ=quarter(survey_date)	

gen _WAVE=wave

label define WAVE ///
			1	2018Q2	///
			2	2018Q3	///
			3	2018Q4	///
			4	2019Q1	///
			5	2019Q2	///
			6	2019Q3	///
			7	2019Q4	///
			8	2020Q1	///
			9	2020Q2	///
			10	2020Q3	///
			11	2020Q4	///
			12	2021Q1	///
			13	2021Q2	///
			14  2021Q3  ///
			15	2021Q4	///
			16	2022Q2	///
			17	2022Q3	///
			18	2022Q4	///
			
 label values _WAVE WAVE
 

 
twoway (scatter eunrate_12m_manager_hist _WAVE, connect(direct) msymbol(t) mcolor(black) mfcolor(black) lpattern(solid) lcolor(black) msize(2)) ///
		(scatter eunrate_12m_non_manager_hist _WAVE, connect(direct) msymbol(s) mcolor(eltblue) mfcolor(eltblue) lpattern(solid) lcolor(eltblue) msize(2)) /// 
		(scatter sd_eunrate_12m_manager _WAVE, connect(direct) msymbol(t) mcolor(black) mfcolor(white) lpattern(dash) lcolor(black) yaxis(2) msize(2)) ///
		(scatter sd_eunrate_12m_non_manager _WAVE, connect(direct) msymbol(s) mcolor(eltblue) mfcolor(white) lpattern(dash) lcolor(eltblue) yaxis(2) msize(2)) /// 
		, ///
				xlabel(		1	"2018Q2"	///
							2	"2018Q3"	///
							3	"2018Q4"	///
							4	"2019Q1"	///
							5	"2019Q2"	///
							6	"2019Q3"	///
							7	"2019Q4"	///
							8	"2020Q1"	///
							9	"2020Q2"	///
							10	"2020Q3"	///
							11	"2020Q4"	///
							12	"2021Q1"	///
							13	"2021Q2"	///
							14  "2021Q3"  	///
							15	"2021Q4"	///
							16	"2022Q2"	///
							17	"2022Q3"	///
							18	"2022Q4", angle(30) labsize(vsmall)) ///
		graphregion(color(white)) bgcolor(white) ///
		ylabel(, labsize(small)) ylabel(, axis(2) labsize(small)) ///
		ytitle("Panel D: Expected unemployment, mean, %", size(small)) ///
		ytitle("Disagreement (st.dev), %", axis(2) size(small)) ///
		xtitle("") ///
		legend(off)	///	
		name(fig4, replace)
				
 
twoway (scatter unrate_cur_pt_manager_hist _WAVE, connect(direct) msymbol(t) mcolor(black) mfcolor(black) lpattern(solid) lcolor(black) msize(2)) ///
		(scatter unrate_cur_pt_non_manager_hist _WAVE, connect(direct) msymbol(s) mcolor(eltblue) mfcolor(eltblue) lpattern(solid) lcolor(eltblue) msize(2)) /// 
		(scatter sd_unrate_cur_pt_manager _WAVE, connect(direct) msymbol(t) mcolor(black) mfcolor(white) lpattern(dash) lcolor(black) yaxis(2) msize(2)) ///
		(scatter sd_unrate_cur_pt_non_manager _WAVE, connect(direct) msymbol(s) mcolor(eltblue) mfcolor(white) lpattern(dash) lcolor(eltblue) yaxis(2) msize(2)) /// 
		, ///
				xlabel(		1	"2018Q2"	///
							2	"2018Q3"	///
							3	"2018Q4"	///
							4	"2019Q1"	///
							5	"2019Q2"	///
							6	"2019Q3"	///
							7	"2019Q4"	///
							8	"2020Q1"	///
							9	"2020Q2"	///
							10	"2020Q3"	///
							11	"2020Q4"	///
							12	"2021Q1"	///
							13	"2021Q2"	///
							14  "2021Q3"  	///
							15	"2021Q4"	///
							16	"2022Q2"	///
							17	"2022Q3"	///
							18	"2022Q4", angle(30) labsize(vsmall)) ///
		graphregion(color(white)) bgcolor(white) ///
		ytitle("Perceived unemployment, mean, %", size(small)) ///
		ytitle("Disagreement (st.dev), %", axis(2) size(small)) ///
		ylabel(, labsize(small)) ylabel(, axis(2) labsize(small)) ///
		xtitle("") ///
		legend(off) ///
		title("Panel C: Perceived unemployment", size(med) )	///	
		name(fig3, replace)
				
		
twoway (scatter pi_12m_pt_manager_hist _WAVE, connect(direct) msymbol(t) mcolor(black) mfcolor(black) lpattern(solid) lcolor(black) msize(2)) ///
		(scatter pi_12m_pt_non_manager_hist _WAVE, connect(direct) msymbol(s) mcolor(eltblue) mfcolor(eltblue) lpattern(solid) lcolor(eltblue) msize(2)) /// 
		(scatter sd_pi_12m_pt_manager _WAVE, connect(direct) msymbol(t) mcolor(black) mfcolor(white) lpattern(dash) lcolor(black) yaxis(2) msize(2)) ///
		(scatter sd_pi_12m_pt_non_manager _WAVE, connect(direct) msymbol(s) mcolor(eltblue) mfcolor(white) lpattern(dash) lcolor(eltblue) yaxis(2) msize(2)) /// 
		, ///
				xlabel(		1	"2018Q2"	///
							2	"2018Q3"	///
							3	"2018Q4"	///
							4	"2019Q1"	///
							5	"2019Q2"	///
							6	"2019Q3"	///
							7	"2019Q4"	///
							8	"2020Q1"	///
							9	"2020Q2"	///
							10	"2020Q3"	///
							11	"2020Q4"	///
							12	"2021Q1"	///
							13	"2021Q2"	///
							14  "2021Q3"  	///
							15	"2021Q4"	///
							16	"2022Q2"	///
							17	"2022Q3"	///
							18	"2022Q4", angle(30) labsize(vsmall)) ///
		graphregion(color(white)) bgcolor(white) ///
		ytitle("Perceived inflation, mean, %", size(small)) ///
		ytitle("Disagreement (st.dev), %", axis(2) size(small)) ///
		ylabel(, labsize(small)) ylabel(, axis(2) labsize(small)) ///		
		ylabe(1.5(0.25)3.25, axis(2)) ///
		xtitle("") ///
		legend(off) ///
		title("Panel A: Perceived inflation", size(med) )	///	
		name(fig1, replace)
				
		
		
twoway (scatter epi_12m_manager_hist _WAVE, connect(direct) msymbol(t) mcolor(black) mfcolor(black) lpattern(solid) lcolor(black) msize(2)) ///
		(scatter epi_12m_non_manager_hist _WAVE, connect(direct) msymbol(s) mcolor(eltblue) mfcolor(eltblue) lpattern(solid) lcolor(eltblue) msize(2)) /// 
		(scatter sd_epi_12m_manager _WAVE, connect(direct) msymbol(t) mcolor(black) mfcolor(white) lpattern(dash) lcolor(black) yaxis(2) msize(2)) ///
		(scatter sd_epi_12m_non_manager _WAVE, connect(direct) msymbol(s) mcolor(eltblue) mfcolor(white) lpattern(dash) lcolor(eltblue) yaxis(2) msize(2)) /// 
		, ///
				xlabel(		1	"2018Q2"	///
							2	"2018Q3"	///
							3	"2018Q4"	///
							4	"2019Q1"	///
							5	"2019Q2"	///
							6	"2019Q3"	///
							7	"2019Q4"	///
							8	"2020Q1"	///
							9	"2020Q2"	///
							10	"2020Q3"	///
							11	"2020Q4"	///
							12	"2021Q1"	///
							13	"2021Q2"	///
							14  "2021Q3"  	///
							15	"2021Q4"	///
							16	"2022Q2"	///
							17	"2022Q3"	///
							18	"2022Q4", angle(30) labsize(vsmall)) ///
		graphregion(color(white)) bgcolor(white) ///
		ytitle("Expected inflation, mean, %", size(small)) ///
		ytitle("Disagreement (st.dev), %", size(small) axis(2)) ///
		xtitle("") ///
		ylabel(, labsize(small)) ylabel(, axis(2) labsize(small)) ///
		legend(label(1 "Managers: mean") label(2 "Non-managers: mean") ///
				label(3 "Managers: std") label(4 "Non-managers: std") ///
				rows(4) rowgap(0.1) size(small) ring(0) position(11)) ///
				title("Panel B: Expected inflation", size(med))	///	
		name(fig2, replace)
		
		
		
		
graph combine fig1 fig2 fig3 fig4, ///
		graphregion(color(white)) ///
		xsize(34) ysize(24) ///
		imargin(tiny) ///
		name(fig5, replace)
		

if `mac_flag' == 1{
graph export "`dir_figures'/Figure002_evolution.eps", replace
}
else{
graph export "`dir_figures'\Figure002_evolution.eps", replace
}


