clear

graph close 

*Include filepaths, macros
include macros.do

*Load Cleaned Variables
use cleanedData_new, clear

gen xprojection_factor=round(projection_factor*1000)

gen nonmanager = !manager

forval j = 1(1)9 {
	gen info_source_pi_`j'_avlbl = cond(info_source_pi_`j' ==0,.,info_source_pi_`j')
}

*Histogram of Managers vs Non-Managers
graph bar (percent) nonmanager (percent) manager [fw=xprojection_factor], over(info_source_pi_1_avlbl, ///
		 relabel(1 "Not At All" 2 "Not Very" 3 "Somewhat" 4 "Very" 5 "Extremely") label(alternate labsize(small))) ///
		 legend(off) ///
		 bar(2, color(white) lcolor(black)) bar(1, color(eltblue)) ///
		 ytitle("Fraction", size(small)) ///
		 ylabel(,labsize(small)) ///
		 title("Panel A: Newspaper", size(med)) ///
		 graphregion(color(white)) bgcolor(white) ///
		name(fig1, replace)
		
graph bar (percent) nonmanager (percent) manager [fw=xprojection_factor], over(info_source_pi_2_avlbl, ///
		 relabel(1 "Not At All" 2 "Not Very" 3 "Somewhat" 4 "Very" 5 "Extremely") label(alternate labsize(small))) ///
		 legend(off) ///
		 bar(2, color(white) lcolor(black)) bar(1, color(eltblue)) ///
		 ytitle("Fraction", size(small)) ///
		 ylabel(,labsize(small)) ///
		 title("Panel B: Television", size(med)) ///
		 graphregion(color(white)) bgcolor(white) ///		 
		name(fig2, replace)
		
graph bar (percent) nonmanager (percent) manager [fw=xprojection_factor], over(info_source_pi_3_avlbl, ///
		 relabel(1 "Not At All" 2 "Not Very" 3 "Somewhat" 4 "Very" 5 "Extremely") label(alternate labsize(small))) ///
		 legend(off) ///
		 bar(2, color(white) lcolor(black)) bar(1, color(eltblue)) ///
		 ytitle("Fraction", size(small)) ///
		 ylabel(,labsize(small)) ///
		 title("Panel C: Govt. Reports", size(med)) ///
		 		 graphregion(color(white)) bgcolor(white) ///
		name(fig3, replace)		
				
graph bar (percent) nonmanager (percent) manager [fw=xprojection_factor], over(info_source_pi_4_avlbl, ///
		 relabel(1 "Not At All" 2 "Not Very" 3 "Somewhat" 4 "Very" 5 "Extremely") label(alternate labsize(small))) ///
		 legend(off) ///
		 bar(2, color(white) lcolor(black)) bar(1, color(eltblue)) ///
		 ytitle("Fraction", size(small)) ///
		 ylabel(,labsize(small)) ///
		 title("Panel D: Shopping Experience", size(med)) ///
		 		 graphregion(color(white)) bgcolor(white) ///
		name(fig4, replace)
		
graph bar (percent) nonmanager (percent) manager [fw=xprojection_factor], over(info_source_pi_5_avlbl, ///
		 relabel(1 "Not At All" 2 "Not Very" 3 "Somewhat" 4 "Very" 5 "Extremely") label(alternate labsize(small))) ///
		 legend(off) ///
		 bar(2, color(white) lcolor(black)) bar(1, color(eltblue)) ///
		 ytitle("Fraction", size(small)) ///
		 ylabel(,labsize(small)) ///
		 title("Panel E: Energy Bills", size(med)) ///
		 		 graphregion(color(white)) bgcolor(white) ///
		name(fig5, replace)
		
graph bar (percent) nonmanager (percent) manager [fw=xprojection_factor], over(info_source_pi_6_avlbl, ///
		 relabel(1 "Not At All" 2 "Not Very" 3 "Somewhat" 4 "Very" 5 "Extremely") label(alternate labsize(small))) ///
		 legend(off) ///
		 bar(2, color(white) lcolor(black)) bar(1, color(eltblue)) ///
		 ytitle("Fraction", size(small)) ///
		 ylabel(,labsize(small)) ///
		 title("Panel F: Friends, Family, Coworkers", size(med)) ///
		 		 graphregion(color(white)) bgcolor(white) ///
		name(fig6, replace)

graph bar (percent) nonmanager (percent) manager [fw=xprojection_factor], over(info_source_pi_7_avlbl, ///
		 relabel(1 "Not At All" 2 "Not Very" 3 "Somewhat" 4 "Very" 5 "Extremely") label(alternate labsize(small))) ///
		 legend(off) ///
		 bar(2, color(white) lcolor(black)) bar(1, color(eltblue)) ///
		 ytitle("Fraction", size(small)) ///
		 ylabel(,labsize(small)) ///
		 title("Panel G: Professional Forecasts", size(med)) ///
		 		 graphregion(color(white)) bgcolor(white) ///
		name(fig7, replace)

graph bar (percent) nonmanager (percent) manager [fw=xprojection_factor], over(info_source_pi_8_avlbl, ///
		 relabel(1 "Not At All" 2 "Not Very" 3 "Somewhat" 4 "Very" 5 "Extremely") label(alternate labsize(small))) ///
		 legend(off) ///
		 bar(2, color(white) lcolor(black)) bar(1, color(eltblue)) ///
		 ytitle("Fraction", size(small)) ///
		 ylabel(,labsize(small)) ///
		 title("Panel H: Professional Activity", size(med)) ///
		 graphregion(color(white)) bgcolor(white) ///
		name(fig8, replace)
		
graph bar (percent) nonmanager (percent) manager [fw=xprojection_factor], over(info_source_pi_9_avlbl, ///
		 relabel(1 "Not At All" 2 "Not Very" 3 "Somewhat" 4 "Very" 5 "Extremely") label(alternate labsize(small))) ///
		 legend(label(1 "Non-Manager") label(2 "Manager") ring(0) position(1) rows(2) size(small)) ///
		 bar(2, color(white) lcolor(black)) bar(1, color(eltblue)) ///
		 ytitle("Fraction", size(small)) ///
		 ylabel(,labsize(small)) ///
		 title("Panel I: Other", size(med)) ///
		 graphregion(color(white)) bgcolor(white) ///
		name(fig9, replace)
		
graph combine fig1 fig2 fig3 fig4 fig5 fig6 fig7 fig8 fig9, ///
		rows(3) ///
		graphregion(color(white)) ///
		xsize(34) ysize(24) ///
		imargin(zero) ///
		name(fig10, replace)
		
if `mac_flag' == 1{
graph export "`dir_figures'/Figure005_info_source_histograms.eps", replace
}
else{
graph export "`dir_figures'\Figure005_info_source_histograms.eps", replace
}


