clear all
set more off
cls

capture cd "/Users/Ethan/Dropbox (Personal)/Managerial_expectations/Replication Package"
capture cd "C:/Users/yuriy/Dropbox/Managerial_expectations/Replication Package"

*Clean Data
quiet  do "loadVariables.do"

// *Generate Figures
quiet do "Figure001 - histograms of expectations and perceptions.do"
quiet do "Figure002 - evolution of expectations and perceptions.do"
quiet do "Figure003 - firm size.do"
quiet do "Figure004 - perceptions vs expectations.do"
quiet do "Figure005 - information sources.do"
quiet do "Figure006 - expected inflation vs expected unemployment.do"
quiet do "Figure007 - decision making freedom.do"
quiet do "Figure008 - hypothetical inflation.do"
quiet do "ApxFigure001 - time series.do"

// *Generate Tables
quiet do "table001 - tabulation of managerial activities.do"
quiet do "Table002 - manager characteristics.do"
quiet do "Table003 - descriptive stats.do"
quiet do "Table004 - determinants of inflation and unemployment expectations.do"
quiet do "Table005 - inflation theory.do"
quiet do "Table006 - information rct.do"
quiet do "Table007 - firm reactions.do"
quiet do "ApxTable001 - long-run inflation expectations.do"
quiet do "ApxTable002 - determinants of inflation and unemployment perceptions"
quiet do "ApxTable003 - summary statistics for controls.do"
quiet do "ApxTable005 - determinants of inflation expectation uncertainty.do"
quiet do "ApxTable006 - size of abs revisions.do"
quiet do "ApxTable007 - comovement on LR and SR inflation expectations.do"




