clear all
set more off
cls

*Include filepaths, macros
include macros.do

*Load Cleaned Variables
use cleanedData_new, clear

if `mac_flag' == 1{
local file_path= "`dir_tables'/Table001.dta"
}
else{
local file_path="`dir_tables'\Table001.dta"
}


tempname 1
postfile `1'  str50 smpl ///
	str12 manager ///
	str12 managerial_duties_1 ///
	str12 managerial_duties_2 ///
	str12 managerial_duties_3 ///
	str12 managerial_duties_4 ///
	str12 managerial_duties_5 ///
	str12 managerial_duties_6 ///
	str12 managerial_duties_7 ///
	str12 managerial_duties_8 ///
	using "`file_path'", replace every(1)
	

	
quiet foreach var1 in manager managerial_duties_1 managerial_duties_2 managerial_duties_3 managerial_duties_4 managerial_duties_5 managerial_duties_6 managerial_duties_7 managerial_duties_8   {
	
	*Unconditional Share
	sum `var1' [aw=projection_factor] 
	local share = string(r(mean),"%4.3f")
	
	*Conditional Share
	quiet foreach var2 in manager managerial_duties_1 managerial_duties_2 managerial_duties_3 managerial_duties_4 managerial_duties_5 managerial_duties_6 managerial_duties_7 managerial_duties_8   {
		sum `var2' [aw=projection_factor] if `var1'==1
		local s_`var2'=string(r(mean),"%4.3f")		
	}

	noisily di "`var1'"
	post `1' ("`var1'") ///
	("`share'") ///
	("`s_managerial_duties_1'")  ///
	("`s_managerial_duties_2'") ///
	("`s_managerial_duties_3'") ///
	("`s_managerial_duties_4'") ///
	("`s_managerial_duties_5'") ///
	("`s_managerial_duties_6'") ///
	("`s_managerial_duties_7'") ///
	("`s_managerial_duties_8'") 
	
}

postclose `1'

