clear all
set more off
cls

*Include filepaths, macros
include macros.do

*Load Cleaned Variables
use cleanedData_new, clear

keep if wave>=4

*Load Cleaned Variables
* recode manager_supervisor (too few variables)
*Set local controls
unab waveControls: dwave*
unab demographicControls: gender age age2 drace2-drace4 hispanic 
unab socioControls: household_income education_somecollege education_college education_postgrad children_any children_infants
unab regionControls: dregion2-dregion4
unab countyControls: dcounty_size2-dcounty_size4

reg manager `demographicControls' `socioControls' `regionControls' `countyControls' `waveControls'  [aw=projection_factor], robust
if `mac_flag' == 1{
outreg2 using "`dir_tables'/Table002.dta", replace dta dec(3) ctitle("manager")
}
else{
outreg2 using "`dir_tables'\Table002.dta", replace dta dec(3) ctitle("manager")
}

foreach var in manager_supervisor manager_labor manager_capital  manager_price manager_wage managerial_duties_8 {
	reg `var' `demographicControls' `socioControls' `regionControls' `countyControls' `waveControls'  [aw=projection_factor], robust
	if `mac_flag' == 1{
		outreg2 using "`dir_tables'/Table002.dta", append dta dec(3) ctitle("`var'")
	}
	else{
		outreg2 using "`dir_tables'\Table002.dta", append dta dec(3) ctitle("`var'")
	}
}

sum manager manager_supervisor manager_labor manager_capital  manager_price manager_wage managerial_duties_8 [aw=projection_factor]

